      INTEGER EVENT
      REAL VTX(3)
      COMMON/SUMMARY/EVENT,VTX

      INTEGER MAXPART
      PARAMETER (MAXPART = 5)
      INTEGER NPART
      INTEGER PARTTYPE(MAXPART)
      REAL PARTE(MAXPART),PARTPX(MAXPART),PARTPY(MAXPART)
      REAL PARTPZ(MAXPART)
      COMMON/INITIAL/NPART,PARTTYPE,PARTE,PARTPX,PARTPY,PARTPZ

      INTEGER MAXESCAPE
      PARAMETER (MAXESCAPE = 1000)
      INTEGER NESCAPE,PTYP_ESC(MAXESCAPE)
      REAL PE_ESC(MAXESCAPE),X_ESC(MAXESCAPE),Y_ESC(MAXESCAPE),
     + Z_ESC(MAXESCAPE)
      COMMON/ESCAPEES/NESCAPE,PTYP_ESC,PE_ESC,X_ESC,Y_ESC,Z_ESC
C
      INTEGER MAX_ENT_SCINT
      PARAMETER (MAX_ENT_SCINT = 1000)
      INTEGER N_ENT_SCINT, PTYP_ENT_SCINT(MAX_ENT_SCINT)
      REAL PE_ENT_SCINT(MAX_ENT_SCINT),X_ENT_SCINT(MAX_ENT_SCINT)
      REAL Y_ENT_SCINT(MAX_ENT_SCINT),Z_ENT_SCINT(MAX_ENT_SCINT)
      COMMON/ENTSCINT/N_ENT_SCINT,PTYP_ENT_SCINT,
     + PE_ENT_SCINT,X_ENT_SCINT,
     + Y_ENT_SCINT,Z_ENT_SCINT
C
      INTEGER MAX_B_HITS
      PARAMETER (MAX_B_HITS = 1000)
      INTEGER N_B_HITS
      REAL X_B_HIT(MAX_B_HITS),Y_B_HIT(MAX_B_HITS),
     + Z_B_HIT(MAX_B_HITS)
      REAL E_B_HIT(MAX_B_HITS)
      COMMON/BODYHITS/N_B_HITS,X_B_HIT,Y_B_HIT,Z_B_HIT,
     + E_B_HIT
C
      INTEGER MAX_S_HITS
      PARAMETER (MAX_S_HITS = 1000)
      INTEGER N_S_HITS
      REAL X_S_HIT(MAX_S_HITS),Y_S_HIT(MAX_S_HITS),
     + Z_S_HIT(MAX_S_HITS)
      REAL E_S_HIT(MAX_S_HITS)
      COMMON/SCINHITS/N_S_HITS,X_S_HIT,Y_S_HIT,Z_S_HIT,
     + E_S_HIT
C      
